name: Feature Request
description: Submit a feature request
title: "feature request: "
labels: [enhancement]
body:
  - type: markdown
    attributes:
      value: |
        Before submitting a feature request, make sure to search for [existing requests](https://github.com/stevearc/oil.nvim/issues)
  - type: checkboxes
    attributes:
      label: Did you check existing requests?
      options:
        - label: I have searched the existing issues
          required: true
  - type: textarea
    attributes:
      label: Describe the feature
      description: A short summary of the feature you want
    validations:
      required: true
  - type: textarea
    attributes:
      label: Provide background
      description: Describe the reasoning behind why you want the feature.
      placeholder: I am trying to do X. My current workflow is Y.
    validations:
      required: false
  - type: dropdown
    attributes:
      label: What is the significance of this feature?
      options:
        - nice to have
        - strongly desired
        - cannot use this plugin without it
    validations:
      required: true
  - type: textarea
    attributes:
      label: Additional details
      description: Any additional information you would like to provide. Things you've tried, alternatives considered, examples from other plugins, etc.
    validations:
      required: false
